LLVM: lldb::SBSection Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Friends | List of all members
lldb::SBSection Class Reference

`#include <SBSection.h>`

## Public Member Functions
| SBSection ()
| SBSection (const lldb::SBSection &rhs)
| ~SBSection ()
const lldb::SBSection & | operator= (const lldb::SBSection &rhs)
bool | IsValid () const
const char * | GetName ()
lldb::SBSection | GetParent ()
lldb::SBSection | FindSubSection (const char *sect_name)
size_t | GetNumSubSections ()
lldb::SBSection | GetSubSectionAtIndex (size_t idx)
lldb::addr_t | GetFileAddress ()
lldb::addr_t | GetLoadAddress (lldb::SBTarget &target)
lldb::addr_t | GetByteSize ()
uint64_t | GetFileOffset ()
uint64_t | GetFileByteSize ()
lldb::SBData | GetSectionData ()
lldb::SBData | GetSectionData (uint64_t offset, uint64_t size)
SectionType | GetSectionType ()
bool | operator== (const lldb::SBSection &rhs)
bool | operator!= (const lldb::SBSection &rhs)
bool | GetDescription (lldb::SBStream &description)

## Friends
class | SBAddress
class | SBModule
class | SBTarget

## Detailed Description

Definition at line 18 of file SBSection.h.

## Constructor & Destructor Documentation

lldb::SBSection::SBSection | ( |  | ) |

lldb::SBSection::SBSection | ( | const lldb::SBSection & | rhs | ) |

lldb::SBSection::~SBSection | ( |  | ) |

## Member Function Documentation

lldb::SBSection lldb::SBSection::FindSubSection | ( | const char * | sect_name | ) |

lldb::addr_t lldb::SBSection::GetByteSize | ( |  | ) |

bool lldb::SBSection::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::addr_t lldb::SBSection::GetFileAddress | ( |  | ) |

uint64_t lldb::SBSection::GetFileByteSize | ( |  | ) |

uint64_t lldb::SBSection::GetFileOffset | ( |  | ) |

lldb::addr_t lldb::SBSection::GetLoadAddress | ( | lldb::SBTarget & | target | ) |

const char* lldb::SBSection::GetName | ( |  | ) |

size_t lldb::SBSection::GetNumSubSections | ( |  | ) |

lldb::SBSection lldb::SBSection::GetParent | ( |  | ) |

lldb::SBData lldb::SBSection::GetSectionData | ( |  | ) |

lldb::SBData lldb::SBSection::GetSectionData | ( | uint64_t | offset,
|  | uint64_t | size
| ) |  |

SectionType lldb::SBSection::GetSectionType | ( |  | ) |

lldb::SBSection lldb::SBSection::GetSubSectionAtIndex | ( | size_t | idx | ) |

bool lldb::SBSection::IsValid | ( |  | ) | const

bool lldb::SBSection::operator!= | ( | const lldb::SBSection & | rhs | ) |

const lldb::SBSection& lldb::SBSection::operator= | ( | const lldb::SBSection & | rhs | ) |

bool lldb::SBSection::operator== | ( | const lldb::SBSection & | rhs | ) |

## Friends And Related Function Documentation

friend class SBAddress
| friend

Definition at line 86 of file SBSection.h.

friend class SBModule
| friend

Definition at line 87 of file SBSection.h.

friend class SBTarget
| friend

Definition at line 88 of file SBSection.h.

The documentation for this class was generated from the following file:

- SBSection.h